package core

import "github.com/grufwub/go-errors"

// Core ErrorCodes
var (
	ErrConnWrite      = errors.New(connWriteErrStr)
	ErrConnRead       = errors.New(connReadErrStr)
	ErrConnClose      = errors.New(connCloseErrStr)
	ErrListenerBegin  = errors.New(listenerBeginErrStr)
	ErrListenerAccept = errors.New(listenerAcceptErrStr)
	ErrMutexUpgrade   = errors.New(mutexUpgradeErrStr)
	ErrMutexDowngrade = errors.New(mutexDowngradeErrStr)
	ErrFileOpen       = errors.New(fileOpenErrStr)
	ErrFileStat       = errors.New(fileStatErrStr)
	ErrFileRead       = errors.New(fileReadErrStr)
	ErrFileType       = errors.New(fileTypeErrStr)
	ErrDirectoryRead  = errors.New(directoryReadErrStr)
	ErrRestrictedPath = errors.New(restrictedPathErrStr)
	ErrInvalidRequest = errors.New(invalidRequestErrStr)
	ErrCGIStart       = errors.New(cgiStartErrStr)
	ErrCGIExitCode    = errors.New(cgiExitCodeErrStr)
)
