package gemini

// Client error response strings
const (
	statusMeta10 = "Input"
	statusMeta11 = "Sensitive Input"
	statusMeta30 = "Temporary Redirect"
	statusMeta31 = "Permanent Redirect"
	statusMeta40 = "Temporary Failure"
	statusMeta41 = "Server Unavailable"
	statusMeta42 = "CGI Error"
	statusMeta43 = "Proxy Error"
	statusMeta44 = "Slow Down"
	statusMeta50 = "Permanent Failure"
	statusMeta51 = "Not Found"
	statusMeta52 = "Gone"
	statusMeta53 = "Proxy Request Refused"
	statusMeta59 = "Bad Request"
	statusMeta60 = "Client Certificate Required"
	statusMeta61 = "Client Certificate Not Authorised"
	statusMeta62 = "Certificate Not Valid"
)

// Gemini specific error string constants
const (
	invalidTLSConfigErrStr = "Invalid TLS cert or key file"
	inavlidProtocolErrStr  = "Invalid request protocol"
	invalidHostPortErrStr  = "Invalid host:port pair"
)

// Log string constants
const (
	entropyAssertFailStr = "Failed to assert safe source of system entropy exists!"
	clientReadFailStr    = "Failed to read"
	invalidRequestStr    = "Invalid request: %s"
	clientServeFailStr   = "Failed to serve: %s"
	clientServedStr      = "Served: %s"
	clientRedirectStr    = "Redirect to: %s"
)
